Exiv2: Exiv2::ExifTags Class Reference

# Exiv2::ExifTags Class Reference

Container for Exif tag information. Implemented as a static class. More...

`#include <tags.hpp>`

Collaboration diagram for Exiv2::ExifTags:
[legend]

List of all members.

## Static Public Member Functions
static std::string | tagName (uint16_t tag, IfdId ifdId)
| Return the name of the tag or a string with the hexadecimal value of the tag in the form "0x01ff", if the tag is not a known Exif tag.
static const char * | tagTitle (uint16_t tag, IfdId ifdId)
| Return the title (label) of the tag. (Deprecated, use tagLabel() instead.).
static const char * | tagLabel (uint16_t tag, IfdId ifdId)
| Return the title (label) of the tag.
static const char * | tagDesc (uint16_t tag, IfdId ifdId)
| Return the description of the tag.
static uint16_t | tag (const std::string &tagName, IfdId ifdId)
| Return the tag for one combination of IFD id and tagName. If the tagName is not known, it expects tag names in the form "0x01ff" and converts them to unsigned integer.
static IfdId | ifdIdByIfdItem (const std::string &ifdItem)
| Return the IFD id for an IFD item.
static const char * | ifdName (IfdId ifdId)
| Return the name of the IFD.
static const char * | ifdItem (IfdId ifdId)
| Return the related image item (image or thumbnail).
static const char * | sectionName (SectionId sectionId)
| Return the name of the section.
static const char * | sectionName (uint16_t tag, IfdId ifdId)
| Return the name of the section for a combination of tag and IFD id.
static const char * | sectionDesc (uint16_t tag, IfdId ifdId)
| Return the description of the section for a combination of tag and IFD id.
static SectionId | sectionId (const std::string &sectionName)
| Return the section id for a section name.
static TypeId | tagType (uint16_t tag, IfdId ifdId)
| Return the type for tag and IFD id.
static std::ostream & | printTag (std::ostream &os, uint16_t tag, IfdId ifdId, const Value &value)
| Interpret and print the value of an Exif tag.
static const TagInfo * | ifdTagList ()
| Return read-only list of built-in IFD0/1 tags.
static const TagInfo * | exifTagList ()
| Return read-only list of built-in Exif IFD tags.
static const TagInfo * | iopTagList ()
| Return read-only list of built-in IOP tags.
static const TagInfo * | gpsTagList ()
| Return read-only list of built-in GPS tags.
static void | taglist (std::ostream &os)
| Print a list of all standard Exif tags to output stream.
static void | makerTaglist (std::ostream &os, IfdId ifdId)
| Print a list of all tags related to one makernote IfdId.
static void | registerBaseTagInfo (IfdId ifdId)
| Register an IfdId with the base IFD TagInfo list for a makernote.
static void | registerMakerTagInfo (IfdId ifdId, const TagInfo *tagInfo)
| Register an IfdId and TagInfo list for a makernote.
static bool | isMakerIfd (IfdId ifdId)
| Return true if ifdId is an Ifd Id which is registered as a makernote Ifd id. Note: Calling this function with makerIfd returns false.

## Detailed Description

Container for Exif tag information. Implemented as a static class.

## Member Function Documentation

static std::string Exiv2::ExifTags::tagName | ( | uint16_t | tag,
|  | IfdId | ifdId |
| ) |  |  | `[static]`

Return the name of the tag or a string with the hexadecimal value of the tag in the form "0x01ff", if the tag is not a known Exif tag.

Parameters:

  | tag | The tag
  | ifdId | IFD id

Returns:
  The name of the tag or a string containing the hexadecimal value of the tag in the form "0x01ff", if this is an unknown tag.

static const char* Exiv2::ExifTags::tagTitle | ( | uint16_t | tag,
|  | IfdId | ifdId |
| ) |  |  | `[static]`

Return the title (label) of the tag. (Deprecated, use tagLabel() instead.).

Parameters:

  | tag | The tag
  | ifdId | IFD id

Returns:
  The title (label) of the tag.

static const char* Exiv2::ExifTags::tagLabel | ( | uint16_t | tag,
|  | IfdId | ifdId |
| ) |  |  | `[static]`

Return the title (label) of the tag.

Parameters:

  | tag | The tag
  | ifdId | IFD id

Returns:
  The title (label) of the tag.

static const char* Exiv2::ExifTags::tagDesc | ( | uint16_t | tag,
|  | IfdId | ifdId |
| ) |  |  | `[static]`

Return the description of the tag.

Parameters:

  | tag | The tag
  | ifdId | IFD id

Returns:
  The description of the tag or a string indicating that the tag is unknown.

static uint16_t Exiv2::ExifTags::tag | ( | const std::string & | tagName,
|  | IfdId | ifdId |
| ) |  |  | `[static]`

Return the tag for one combination of IFD id and tagName. If the tagName is not known, it expects tag names in the form "0x01ff" and converts them to unsigned integer.

Exceptions:

  | Error | if the tagname or ifdId is invalid

static const char* Exiv2::ExifTags::sectionName | ( | uint16_t | tag,
|  | IfdId | ifdId |
| ) |  |  | `[static]`

Return the name of the section for a combination of tag and IFD id.

Parameters:

  | tag | The tag
  | ifdId | IFD id

Returns:
  The name of the section or a string indicating that the section or the tag is unknown.

static const char* Exiv2::ExifTags::sectionDesc | ( | uint16_t | tag,
|  | IfdId | ifdId |
| ) |  |  | `[static]`

Return the description of the section for a combination of tag and IFD id.

Parameters:

  | tag | The tag
  | ifdId | IFD id

Returns:
  The description of the section or a string indicating that the section or the tag is unknown.

static void Exiv2::ExifTags::registerMakerTagInfo | ( | IfdId | ifdId,
|  | const TagInfo * | tagInfo |
| ) |  |  | `[static]`

Register an IfdId and TagInfo list for a makernote.

Exceptions:

  | Error | if the MakerTagInfo registry is full

The documentation for this class was generated from the following file:

- tags.hpp